Skip to main content
PATCH
/
orders
/
{id}
Update an order
curl --request PATCH \
  --url https://api.autoprintfarm.com/public/v1/orders/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_name": "<string>",
  "customer_email": "jsmith@example.com",
  "customer_phone": "<string>",
  "shipping_cost": 1,
  "tax_amount": 1,
  "discount_amount": 1,
  "shipping_street": "<string>",
  "shipping_city": "<string>",
  "shipping_state": "<string>",
  "shipping_zip": "<string>",
  "shipping_country": "<string>",
  "tracking_number": "<string>",
  "tracking_url": "<string>",
  "notes": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "order_number": "<string>",
    "platform": "<string>",
    "customer_name": "<string>",
    "customer_email": "<string>",
    "customer_phone": "<string>",
    "order_date": "<string>",
    "status": "<string>",
    "total_revenue": 123,
    "shipping_cost": 123,
    "tax_amount": 123,
    "discount_amount": 123,
    "shipping_street": "<string>",
    "shipping_city": "<string>",
    "shipping_state": "<string>",
    "shipping_zip": "<string>",
    "shipping_country": "<string>",
    "tracking_number": "<string>",
    "tracking_url": "<string>",
    "shipped_at": "<string>",
    "external_id": "<string>",
    "notes": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.

Path Parameters

id
string
required

Body

application/json
customer_name
string
customer_email
string<email>
customer_phone
string
status
enum<string>
Available options:
pending,
processing,
printed,
assembled,
shipped,
fulfilled,
cancelled,
refunded
shipping_cost
integer

Shipping cost in cents

Required range: x >= 0
tax_amount
integer

Tax amount in cents

Required range: x >= 0
discount_amount
integer

Discount applied in cents

Required range: x >= 0
shipping_street
string
shipping_city
string
shipping_state
string
shipping_zip
string
shipping_country
string
tracking_number
string
tracking_url
string<uri>
notes
string

Response

Order updated

success
enum<boolean>
required
Available options:
true
data
object
required